Flecs: include/flecs/addons/cpp/mixins/script/impl.hpp File Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
impl.hpp File Reference

Script implementation. More...

`#include "builder.hpp"`
Include dependency graph for impl.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | flecs::_
| Int to enum.

## Functions
ecs_value_t | flecs::_::get_const_var (const flecs::world_t *world, const char *name)
template<typename T>
T | flecs::_::get_const_value (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const T &default_value)
template<>
char | flecs::_::get_const_value< char > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const char &default_value)
template<>
int8_t | flecs::_::get_const_value< int8_t > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const int8_t &default_value)
template<>
int16_t | flecs::_::get_const_value< int16_t > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const int16_t &default_value)
template<>
int32_t | flecs::_::get_const_value< int32_t > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const int32_t &default_value)
template<>
int64_t | flecs::_::get_const_value< int64_t > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const int64_t &default_value)
template<>
uint8_t | flecs::_::get_const_value< uint8_t > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const uint8_t &default_value)
template<>
uint16_t | flecs::_::get_const_value< uint16_t > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const uint16_t &default_value)
template<>
uint32_t | flecs::_::get_const_value< uint32_t > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const uint32_t &default_value)
template<>
uint64_t | flecs::_::get_const_value< uint64_t > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const uint64_t &default_value)
template<>
float | flecs::_::get_const_value< float > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const float &default_value)
template<>
double | flecs::_::get_const_value< double > (flecs::world_t *world, const char *name, ecs_value_t value, ecs_entity_t type, const double &default_value)
void | flecs::script::_::init (flecs::world &world)

## Detailed Description

Script implementation.

Definition in file impl.hpp.

## Function Documentation

## ◆ init()

void flecs::script::_::init | ( | flecs::world & | world | ) |
| inline

Definition at line 196 of file impl.hpp.